path: /build/build/tmux-app-misc-3.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux -vim-syntax utempter" emerge app-misc/tmux -pv -t && \
    USE="-selinux -vim-syntax utempter" emerge -j ${JOBS} --nodeps app-misc/tmux
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tmux && luet-portage --dir /pkgdir/tmux
    app-misc/tmux && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:866595904f6800c3a6d52eaffc6888502be4d28d5c6cac4f35d18281b7ae7fe2
  package:
    name: tmux
    version: "3.4"
    category: app-misc
    use_flags:
    - -selinux
    - -vim-syntax
    - utempter
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Terminal multiplexer
    uri:
    - https://tmux.github.io/
    license: ISC
    buildtimestamp: 2024-03-07 17:46:08.462337978 +0000 UTC m=+115.488595594
    labels:
      BDEPEND: virtual/pkgconfig virtual/yacc >=app-portage/elt-patches-20170815 ||
        ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: dev-libs/libevent:0= sys-libs/ncurses:0= utempter? ( sys-libs/libutempter
        )
      IUSE: debug selinux utempter vim-syntax kernel_linux
      RDEPEND: dev-libs/libevent:0= sys-libs/ncurses:0= utempter? ( sys-libs/libutempter
        ) selinux? ( sec-policy/selinux-screen ) vim-syntax? ( app-vim/vim-tmux )
      emerge.packages: app-misc/tmux
      kit: core-kit
      original.package.name: app-misc/tmux
      original.package.slot: "0"
      original.package.version: "3.4"
    treedir: /build/packages
  package_dir: /pkgdir/tmux
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 70ffdacf9fe58383730b390ca10f57cbc2230a57e71c456a9f736cf6203f671f
compressiontype: zstd
files:
- usr/bin/tmux
- usr/share/doc/tmux-3.4/CHANGES.bz2
- usr/share/doc/tmux-3.4/README.bz2
- usr/share/doc/tmux-3.4/example_tmux.conf
- usr/share/man/man1/tmux.1.bz2
- var/db/pkg/app-misc/tmux-3.4/BDEPEND
- var/db/pkg/app-misc/tmux-3.4/BUILD_TIME
- var/db/pkg/app-misc/tmux-3.4/CATEGORY
- var/db/pkg/app-misc/tmux-3.4/CBUILD
- var/db/pkg/app-misc/tmux-3.4/CFLAGS
- var/db/pkg/app-misc/tmux-3.4/CHOST
- var/db/pkg/app-misc/tmux-3.4/CONTENTS
- var/db/pkg/app-misc/tmux-3.4/COUNTER
- var/db/pkg/app-misc/tmux-3.4/CXXFLAGS
- var/db/pkg/app-misc/tmux-3.4/DEFINED_PHASES
- var/db/pkg/app-misc/tmux-3.4/DEPEND
- var/db/pkg/app-misc/tmux-3.4/DESCRIPTION
- var/db/pkg/app-misc/tmux-3.4/EAPI
- var/db/pkg/app-misc/tmux-3.4/FEATURES
- var/db/pkg/app-misc/tmux-3.4/HOMEPAGE
- var/db/pkg/app-misc/tmux-3.4/INHERITED
- var/db/pkg/app-misc/tmux-3.4/IUSE
- var/db/pkg/app-misc/tmux-3.4/IUSE_EFFECTIVE
- var/db/pkg/app-misc/tmux-3.4/KEYWORDS
- var/db/pkg/app-misc/tmux-3.4/LDFLAGS
- var/db/pkg/app-misc/tmux-3.4/LICENSE
- var/db/pkg/app-misc/tmux-3.4/NEEDED
- var/db/pkg/app-misc/tmux-3.4/PF
- var/db/pkg/app-misc/tmux-3.4/RDEPEND
- var/db/pkg/app-misc/tmux-3.4/REQUIRES
- var/db/pkg/app-misc/tmux-3.4/SIZE
- var/db/pkg/app-misc/tmux-3.4/SLOT
- var/db/pkg/app-misc/tmux-3.4/USE
- var/db/pkg/app-misc/tmux-3.4/environment.bz2
- var/db/pkg/app-misc/tmux-3.4/repository
- var/db/pkg/app-misc/tmux-3.4/tmux-3.4.ebuild
package_cacheimage: ""
runtime:
  name: tmux
  version: "3.4"
  category: app-misc
  use_flags:
  - -selinux
  - -vim-syntax
  - utempter
  requires:
  - name: libevent
    version: '>=0'
    category: dev-libs
  - name: libutempter
    version: '>=0'
    category: sys-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Terminal multiplexer
  uri:
  - https://tmux.github.io/
  license: ISC
  labels:
    BDEPEND: virtual/pkgconfig virtual/yacc >=app-portage/elt-patches-20170815 ||
      ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/libevent:0= sys-libs/ncurses:0= utempter? ( sys-libs/libutempter
      )
    IUSE: debug selinux utempter vim-syntax kernel_linux
    RDEPEND: dev-libs/libevent:0= sys-libs/ncurses:0= utempter? ( sys-libs/libutempter
      ) selinux? ( sec-policy/selinux-screen ) vim-syntax? ( app-vim/vim-tmux )
    emerge.packages: app-misc/tmux
    kit: core-kit
    original.package.name: app-misc/tmux
    original.package.slot: "0"
    original.package.version: "3.4"
